var open_snss_version = "20.10-1"; /*Open SNSS本体のバージョン番号*/

var cache_name = "open_snss_" + open_snss_version;
var files_to_cache = [
        "open_snss.html",
        "apple-touch-icon.png",
        "open_snss.png",
        "favicon.ico",
        "README.html"
    ];

self.addEventListener("install", function(event) {
    event.waitUntil(
        caches.open(cache_name).then(function(cache) {
            return cache.addAll(files_to_cache);
        })
    );
});

self.addEventListener("fetch", function(event) {
    event.respondWith(
        caches.match(event.request).then(function(response) {
            if (response) {
                return response;
            }
            
            return fetch(event.request);
        })
    );
});

self.addEventListener("activate", function(event) {
    event.waitUntil(
        caches.keys().then(function(cacheNames) {
            return Promise.all(cacheNames.map(function(cacheName) {
                    if (cacheName != cache_name){
                        return caches.delete(cacheName);
                    }
            }));
        })
    );
});
